#/bin/bash

DBFILE=variants.db

# In case there is need to add an extra column at the beginning ('-'):
awk -v FILE=- '{print FILE"\t"$0}' ${DBFILE} > ${DBFILE%\.db}.tsv;

# if there was no need to add an extra column at the beginning:
#mv ${DBFILE} ${DBFILE%\.db}.tsv

# Create a file per chromosome:
awk -F "\t" '{print >"variants-chr-"$10".tsv"}' ${DBFILE%\.db}.tsv

# Check for variants with '-' in the alt column:
awk -F '\t' '$13 == "-" {print $1}' ${DBFILE%\.db}.tsv | sort | uniq > samples_with_dash_in_alt_column