#!/bin/bash

#
#
# Script to convert gVCF accession numbers
# from yyyy-xxx-zzzzzz to 00000yyyyxxxzzzzzz and update file name
#
#

function help_f {

echo -e "

Reformat Accession Number in gVCF for loading into Oracle DB

Positional Arguments:
	
	1) gVCF to format
	2) output directory

Command Arguments:

	-h, --help 	display this help message

"
}

if [ "$1" = "-h" ] || [ "$1" = "--help" ]; then
	help_f
	exit

elif [ "$1" = "" ]; then
	echo 'Missing gVCF input file'
	exit 1
elif [ "$2" = "" ]; then
	echo 'Missing an input file'
	exit 1
else
	echo 'Begin conversion...'
fi

readonly infile=$1
readonly outdir=$2

lineNumber=$(grep -En '^#CHROM' $infile | cut -d : -f 1)
lineToChange=$(grep -E '^#CHROM' $infile)

read -a ary <<< $lineToChange
ary[9]=00000$( echo ${ary[9]} | tr -d -)

stop=$(($lineNumber - 1))
start=$(( $lineNumber + 1 ))

head -n $stop $infile | while read row; do
        echo $row >> $outdir/${ary[9]}.gvcf
done

echo -e ${ary[0]}'\t'${ary[1]}'\t'${ary[2]}'\t'${ary[3]}'\t'${ary[4]}'\t'${ary[5]}'\t'${ary[6]}'\t'${ary[7]}'\t'${ary[8]}'\t'${ary[9]} >> $outdir/${ary[9]}.gvcf

tail -n +$start $infile | while read a b c d e f g h i j; do
        echo -e $a'\t'$b'\t'$c'\t'$d'\t'$e'\t'$f'\t'$g'\t'$h'\t'$i'\t'$j >> $outdir/${ary[9]}.gvcf
done

echo 'Done'