#!/bin/bash

#
# script to split text file into separate files of n rows each
#

function help_f {

echo -e "
Positional Arguments:

	1) Input file to split to split by number of rows

Command Options:

	-o, --output 		[REQUIRED] Output filename to write data to
	-n, --nrows 		[REQUIRED] mumber of rows per file
	-h, --help 		This help menu

"

}

function execute {

	input=$1
	output=$2
	nrows=$3

	readonly dataRows=$(wc -l $input | awk '{ print $1 }')

	fileCount=1
	fileNumberName="1-"${nrows}

	count=1
	tail -n +1 $input | while read line; do

		if [ $count = 1 ]; then
			echo $line > ${output}_${fileCount}_${fileNumberName}.txt
		else
			echo $line >> ${output}_${fileCount}_${fileNumberName}.txt
		fi

		if [ $count = $(( $nrows )) ]; then
			count=1

			start=$(( $fileCount * $nrows + 1 ))

			if [ $fileCount -lt $(( $dataRows / $nrows )) ]; then
				fileNumberName=${start}-$(( $start + $nrows - 1 ))
			else
				mod=$(( $dataRows % $nrows ))
				fileNumberName=${start}-$(( $start + $mod - 1 ))
			fi

			((fileCount++))
			continue
		fi

		((count++))
	done

}

if [ "$1" != "" ]; then

	if [ "$1" != "-h" ] && [ "$1" != "--help" ]; then
		readonly INPUT=$1
		shift
	fi

	outputExists=0
	nrowsExists=0

	while [ "$1" != "" ]; do

		case $1 in

			-h | --help 	)	help_f
								exit
								;;

			-o | -output 	) 	shift
								readonly OUTPUT=$1
								outputExists=1
								;;

			-n | -nrows 	) 	shift
								readonly NROWS=$1
								nrowsExists=1
								;;

		esac

		shift

	done

	if [ $outputExists = 0 ]; then
		echo 'No output file name supplied; Please use option -o, --output'
		exit 1
	elif [ $nrowsExists = 0 ]; then
		echo 'Number of rows per file was not supplied; Please use option -n, --nrows'
		exit 1
	else
		:
	fi

else
	echo "No input provided. Exiting"
	exit 1
fi

execute $INPUT $OUTPUT $NROWS

echo 'Done'







