#!/bin/bash

readonly OUTPUT=invalid_gvcf_report.tsv

function help_f {

echo -e "
Script to read stdout files from gVCF chrom/base checker validation


Positional Arguments:

	1) Validation stdout filename base

Optional Arguments:

	-h | --help\tthis help message

"

}

function read_files {

	for f in $(ls $1.o*); do

		echo $f
		str=$(cat $f)
		contents=($str)
		
		if [ "${contents[1]}" == "Missing" ]; then

			IFS=':' read -ra chromBase <<< "${contents[3]}"
			chrom=${chromBase[0]}
			base=${chromBase[1]}

			if [[ ${contents[0]} == *"SL"* ]]; then
				echo -e ${contents[0]}'\t'${contents[0]}.gvcf'\t'${chrom}'\t'${base} >> $OUTPUT
			else
				echo -e ${contents[0]:5:4}'-'${contents[0]:9:3}'-'${contents[0]:12:${#contents[0]}}'\t'${contents[0]}.gvcf'\t'${chrom}'\t'${base} >> $OUTPUT
			fi
		fi

	done

}

if [ "$1" == "" ]; then
	echo 'No input provided'
	exit 1
fi

while [ "$1" != "" ]; do

	if [ "$1" != "-h" ] && [ "$1" != "--help" ]; then
		BASE_FILENAME=$1
		shift
	fi

	case "$1" in

		-h | --help 	) 	help_f
							exit
							;;

	esac

	shift

done

echo -e 'accessionId\tgVCF\tchrom\tmissingBase' > $OUTPUT
read_files $BASE_FILENAME
