
# ******************************************** #
# DO NOT CHANGE THESE VALUES
# qcNoVarTargetDiffCounts.sh writes to these
targets_counts = 'targetCounts.txt'
novar_counts = 'noVarBedCounts.txt'
# ******************************************** #

targetdf = read.table(targets_counts, sep='\t', header=FALSE, skip=1)
novardf  = read.table(novar_counts, sep='\t', header=FALSE, skip=1)

header = c('file', 'count')
colnames(targetdf) = header
colnames(novardf)  = header

diffs = apply(novardf, 1, function(x) as.numeric(as.character(x[2])) / targetdf$count )

tdf = cbind(novardf, rep(targetdf$count, nrow(novardf)))
tdf = cbind(tdf, diffs)
colnames(tdf) = c('file', 'noVarCount', 'targetCount', 'noVar/target')
write.csv(tdf, file='qcNoVarTargetsRatio.csv', row.names=FALSE)

pdf('qcNoVarTargetsRatio.pdf')
hist(diffs, breaks=100, main='NoVar Bases / Target Bases', xlab='NoVar/Target')
dev.off()
