#!/bin/bash

readonly SAMPLES_LIST=/path/to/coverage_sample_ids_no_tail.txt
readonly OUTDIR=/path/to/all_final_out
readonly JOBNAME=job_name
readonly CONCURRENT_PROCESSES=30

source com.oracle.omics.gvcf-prep/venv/bin/activate

total_job_count=$(wc -l $SAMPLES_LIST | awk '{print $1}')

for x in $(seq 1 $total_job_count); do

    sample=$(sed -n "${x},${x}p" ${SAMPLES_LIST})
    logDir=$(dirname $OUTDIR)
    echo $sample

    python3 com.oracle.omics.gvcf-prep/04_gvcf_export/exportnsm.py -s $sample -r hs37d -o $OUTDIR > ${logDir}/${JOBNAME}_server_${sample} & 

    if [ $(( $x % $CONCURRENT_PROCESSES )) == 0 ]; then
        wait
    fi

done

wait
