#!/bin/bash

source com.oracle.omics.gvcf-prep/venv/bin/activate

readonly INPUT=/path/toformatted_sample_ids.txt
readonly GVCFSDIR=/path/to/gvcfs
readonly CHR_LENGTHS=com.oracle.omics.gvcf-prep/04_gvcf_export/content/hs37d5.chrom.sizes

readonly CONCURRENT_JOBS=8
total_job_count=$(wc -l ${INPUT} | awk '{print $1}')

for x in $(seq 1 $total_job_count); do

        sampleid=$(sed -n "${x},${x}p" ${INPUT})
        echo $sampleid
        echo $sampleid > ${GVCFSDIR}/chrom_base_validate_$sampleid

        python3 com.oracle.omics.gvcf-prep/04_gvcf_export/utils/checkAllChromBasesExist.py -i ${GVCFSDIR}/all_final_output/${sampleid}.gvcf -c $CHR_LENGTHS >> ${GVCFSDIR}/chrom_base_validate_$sampleid &

        if [ $((${x} % ${CONCURRENT_JOBS})) == 0 ]; then
                wait
        fi

done

wait