'''
Script to compare mutation counts between pieriandx and nsm databases
and print mutation object from pieriandx.variantCallReports and nsm.positions
'''

from pymongo import MongoClient

USER   = ''
PASS   = ''
HOST   = ''
PORT   = '27017'
AUTHDB = ''
NSM_DB = 'nsm'
PIERIANDX_DB = 'pieriandx'

client = MongoClient('mongodb://' + USER + ':' + PASS + '@' + HOST + ':' + PORT + '/?authSource=' + AUTHDB)

sampleid = ''

################################################################################
################################################################################
################################################################################
# functions

def query_pieriandx():
	return client[PIERIANDX_DB]['variantCallReports'].find_one( { 'panel': 'avatar', 'accessionNumber': sampleid }, { 'mutations': 1 } )

def query_nsm():
	return client[NSM_DB]['positions'].find({ 'cohort_id': 'AVATAR', 'samples.sample': sampleid }, { 'samples': { '$elemMatch': { 'sample': sampleid } } })

################################################################################
################################################################################
################################################################################
# main ()

pdocs = query_pieriandx()
ndocs = query_nsm()

# pieriandx
mut_count_pierian = 0
for i, mut in enumerate(pdocs['mutations']):
	#print(i)
	print(mut)
	if ',' in mut['alt']:
		addend = len(mut['alt'].split(','))
	else:
		addend = 1

	mut_count_pierian += addend

# nsm
mut_count_nsm = 0
for i, doc in enumerate(ndocs):
	print(doc)
	for tsample in doc['samples']:
		for gene in tsample['genes']:
			for i, protein in enumerate(gene['proteins']):
				mut_count_nsm += 1


print('pierian mutations: %s' % mut_count_pierian)
print('nsm mutations    : %s' % mut_count_nsm)



